/***************************************************************************
 *   Copyright (C) 2004 by Gerd Mueller                                    *
 *   gmueller@netways.de                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#include <qstring.h>

#include <kconfig.h>
#include <kurl.h>
#include <kpanelapplet.h>
#include <kcombobox.h>


/**
@author Gerd Mueller
*/


class Configuration{

  private:
    Configuration();
    Configuration(const Configuration&);
    friend Configuration& Config();
    
    static const int m_defaultrefreshrate;
    KConfig * conf;
    
  public:
    void read();
    void write() const;
    
    void SetConfig(KConfig *);

    QString m_User;
    QString m_Password;
    QString m_URL;   
    QString m_CGIURL;
    
    int m_GroupType;
    QString m_Group;
    bool m_HardOnly;
    bool m_ACK;
    bool m_disabled;
    bool m_SCHDWN;
    
    int m_NagiosVersion;
    int m_KTLightVersion;
    
    int m_refreshrate;
    
    QString m_OK;
    QString m_Warning;
    QString m_Critical;

};
 
Configuration& Config();

#endif
