/***************************************************************************
 *   Copyright (C) 2004 by Gerd Mueller                                    *
 *   gmueller@netways.de                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PREFDIALOG_H
#define PREFDIALOG_H

#include <qwidget.h>
#include <kdialogbase.h>

/**
@author Gerd Mueller
*/

class PrefGeneral;
class PrefRefresh;
class PrefSound;


class PrefDialog : public KDialogBase
{
Q_OBJECT
private:
    /// Transfers the settings from the configuration object to the dialog.
    /// Transfers the settings from the dialog to the configuration object.
public:
    void updateDialog();
    void updateConfiguration();
    PrefDialog(QWidget *parent, const char *name=0, WFlags f=0);
 public slots:
    void slotDefault();
    void slotApply();
    void enableApply(); 
    void GroupTypeChanged(int); 
    void VersionChanged(int);
    
 signals:
    /// Will be emitted when the new settings should be applied.
    void settingsChanged();
    
 private:
  PrefGeneral    *m_prefGeneral;
  PrefRefresh    *m_prefRefresh;
  PrefSound	 *m_prefSound;

};

#endif
